<?php
require_once("core/db.php");
require_once("core/functions.php");
require_once("core/manage.php");

require_once("core/global.php");
if(!$logged_in) { Header("Location: $path"); }
$title = "Vytvořit test";
$additional_JSlibraries = array("jquery-ui.min","manage");

if(isset($_POST['add_test'])) {

	$name = secureDBinput($_POST['name'],$mysqli);
	$description = secureDBinput($_POST['description'],$mysqli);
	$public = intval($_POST['public']);
	$rand = intval($_POST['rand']);
	$question_limit = ($rand == 0 ? 0 : intval($_POST['rand_test']));
	$create_time = Date("Y-m-d H:i:s", Time());
	$test_time = (intval($_POST['limit']) == 0 ? 0 : intval($_POST['limit_test']));
	$last_test = mysqli_query($mysqli,"SELECT id FROM el_tests ORDER BY id DESC LIMIT 1");
	$last_test_id = mysqli_fetch_array($last_test,MYSQLI_ASSOC);
	$hash = hash('crc32', $last_test_id['id']);

	if($name == "") {
		$error = "Je nutné mít vyplněný název!";
	}elseif(strlen($name) < 3) {
		$error = "Název musí mít minimálně 3 znaky!";
	}else{
		mysqli_query($mysqli, "INSERT INTO el_tests (
			id ,
			hash ,
			name ,
			description ,
			user_id ,
			public ,
			create_time ,
			test_time ,
			rand ,
			edit ,
			question_limit
			)
			VALUES (
			NULL , '$hash', '$name', '$description', ".$_SESSION['authority'].", $public, '$create_time', $test_time, $rand, 0, $question_limit
			)");

		$last_test = mysqli_query($mysqli,"SELECT id FROM el_tests ORDER BY id DESC LIMIT 1");
		$last_test_id = mysqli_fetch_array($last_test,MYSQLI_ASSOC);
		$question = $_POST['question'];
		$question_type = $_POST['question_type'];

		for($a=0;$a < count($_POST['question']);$a++) {
			$input_test = ($question_type[$a] == 1 ? 1 : 0); 
			mysqli_query($mysqli, "INSERT INTO el_questions (
				id ,
				question ,
				type ,
				test_id ,
				position
				)
				VALUES (
				NULL ,  '".secureDBinput($question[$a],$mysqli)."', ".intval($question_type[$a]).", ".$last_test_id['id'].", ".($a+1)."
				)");

			$last_question = mysqli_query($mysqli,"SELECT id FROM el_questions ORDER BY id DESC LIMIT 1");
			$last_question_id = mysqli_fetch_array($last_question,MYSQLI_ASSOC);

		        $answer = $_POST['answer'.$a];
		        for($b=0;$b < count($answer);$b++) {
		        	$answer_ri = ($input_test == 1 ? 1 : intval($_POST['answer_ri'.$a][$b])); 
		        	mysqli_query($mysqli, "INSERT INTO el_answers (
		        		id ,
		        		answer ,
		        		question_id ,
		        		correct
		        		)
		        		VALUES (
		        		NULL , '".secureDBinput($answer[$b],$mysqli)."', ".$last_question_id['id'].", ".$answer_ri."
		        		)");
		        } 
		    }
				$success = 'Test byl vytvořen. Seznam vytvořených testů je dostupný v podstránce <a href="'.$path.'edit-test.php">Moje testy</a>.';
		}
	}

	include("include/head.php");
	include("include/header.php");
	topPage("Vytvořit test","Vytvoření vlastního testu");
	?>
	<div id="content">
		<div class="container">
			<?php if(isset($error)) { alert("",$error,"danger"); }elseif(isset($success)){ alert("",$success,"success"); } ?>
			<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
				<div class="form-horizontal">
					<?php adminOptionsName(""); ?>
					<?php adminOptionsDescription(""); ?>
					<?php adminOptionsPublic(0); ?>
					<?php adminOptionsRand(0,0,0); ?>
					<?php adminOptionsTimeLimit(0); ?>
					<!--
						<div class="form-group">
						<label class="col-sm-2 control-label">Heslo testu:</label>
						<div class="col-sm-10">
							<div class="btn-group toggle">
								<button data-opt="0" type="button" class="btn btn-primary hasnoOpt">Bez hesla</button>
								<button data-opt="1" type="button" class="btn btn-default hasOpt">S heslem</button>
								<input class="optinput" name="test_pw" type="hidden" value="0">
							</div>
							<div class="optval" style="display:none;"><input class="form-control form-time" name="test_pw_content" type="password" placeholder="Heslo ..."></div>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label">Pokusů k testu:</label>
						<div class="col-sm-10">
							<div class="btn-group toggle">
								<button data-opt="0" type="button" class="btn btn-primary hasnoOpt">Neomezený</button>
								<button data-opt="1" type="button" class="btn btn-default hasOpt">Omezený</button>
								<input class="optinput" name="test_access" type="hidden" value="0">
							</div>
							<div class="optval" style="display:none;"><input class="form-control form-time" name="test_access_limit" type="number" min="1" max="100" value="1"></div>
						</div>
					</div>
					-->
					</div>
					<br>
					<h3>Seznam otázek a odpovědí</h3>
					<div class="questions-list">
					</div>
					<div class="form-group">
						<button type="button" class="btn btn-success add-question"><span class="glyphicon glyphicon-plus"></span> Přidat otázku</button>
					</div>
					<div class="form-group">
						<button type="submit" name="add_test" class="btn btn-primary btn-lg add-test disabled">Přidat test</button>
					</div>
				</form>
			</div>
		</div>
		<?php
		include("include/footer.php");
		?>